material-ui versions and peer dependencies

The table below has a list of all versions of material-ui compatible peers dependencies.

Version Peer Dependency Versions
0.7.0 - 0.7.1
  • react @ 0.12.x
  • react-tap-event-plugin @ ^0.1.3
0.7.2 - 0.7.3
  • react @ >=0.12
  • react-tap-event-plugin @ >=0.1.3
0.7.4 - 0.11.1
  • react @ >=0.13
  • react-tap-event-plugin @ >=0.1.3
0.12.0 - 0.12.2
  • react @ >=0.13
  • react-tap-event-plugin @ ^0.1.3
0.12.3
  • react @ ~0.13
  • react-tap-event-plugin @ ^0.1.3
0.12.4
  • react @ ^0.14.0
  • react-dom @ ^0.14.0
  • react-tap-event-plugin @ ^0.2.0
  • react-addons-transition-group @ ^0.14.0
  • react-addons-update @ ^0.14.0
  • react-addons-create-fragment @ ^0.14.0
  • react-addons-pure-render-mixin @ ^0.14.0
0.12.5
  • react @ ~0.13
  • react-tap-event-plugin @ ^0.1.3
0.13.0 - 0.13.1
  • react @ ^0.14.0
  • react-dom @ ^0.14.0
  • react-tap-event-plugin @ ^0.2.0
  • react-addons-transition-group @ ^0.14.0
  • react-addons-update @ ^0.14.0
  • react-addons-create-fragment @ ^0.14.0
  • react-addons-pure-render-mixin @ ^0.14.0
0.13.2
  • react @ ^0.14.0
  • react-dom @ ^0.14.0
0.13.3 - 0.14.4
  • react @ ^0.14.0
  • react-dom @ ^0.14.0
  • react-tap-event-plugin @ ^0.2.0
0.15.0 - 0.16.2
  • react @ ^15.0.0
  • react-dom @ ^15.0.0
  • react-tap-event-plugin @ ^1.0.0
0.16.3 - 0.16.7
  • react @ ^15.0.0
  • react-dom @ ^15.0.0
  • react-tap-event-plugin @ ^1.0.0 || ^2.0.0
0.17.0 - 0.18.7
  • react @ ^15.4.0
  • react-dom @ ^15.4.0
  • react-tap-event-plugin @ ^2.0.1
0.19.0 - 0.19.3
  • react @ ^15.4.0 || ^16.0.0-beta.5
  • react-dom @ ^15.4.0 || ^16.0.0-beta.5
0.19.4 - 0.20.2
  • react @ ^15.4.0 || ^16.0.0
  • react-dom @ ^15.4.0 || ^16.0.0